Page MenuHomePhabricator

Write a big picture overview about what the CI isolation project is and a rough roadmap
Closed, ResolvedPublic

Description

Just had a 1/1 with @dduvall . I should write a big picture overview of what the ci isolation project is and a very rough road map.

Probably on wikitech, with the first item of the roadmap being to have nodepool to create a basic image and have it boot functional instances.

Event Timeline

hashar created this task.Jun 11 2015, 4:08 PM
hashar claimed this task.
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added subscribers: hashar, chasemp, Andrew, dduvall.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2015, 4:08 PM

I enhanced the documentation for diskimage-builder, the python soft that is used by Nodepool to create images. The upstream doc is at http://docs.openstack.org/developer/diskimage-builder/

Some very basic Nodepool documentation at: https://wikitech.wikimedia.org/wiki/Nodepool

hashar triaged this task as Low priority.Mar 10 2016, 2:34 PM
greg raised the priority of this task from Low to Normal.EditedApr 6 2016, 3:50 PM
greg added subscribers: thcipriani, greg.

Plan of action:

  • Antoine will write a first draft of this
  • Antoine and @thcipriani will pair on a reading/editing session on this (after Antione's vacation next week (week of April 11-15))
  • success?
hashar closed this task as Resolved.Apr 21 2016, 3:55 PM

After some thinking, the architecture documentation I wrote a year ago is a good enough big picture of the CI scaling project. https://www.mediawiki.org/wiki/Continuous_integration/Architecture/Isolation I have marked it as historical / archived.

The next step we have is to phase out gallium for which we now have a subproject https://phabricator.wikimedia.org/project/board/1966/

As part of it, I will get a new architecture document covering the target of the CI infrastructure including Nodepool and without gallium.

Overview of the target architecture will be produced via T133300